View Issue Details

IDProjectCategoryView StatusLast Update
0000120Far Manager 1.7xHistorypublic2007-07-16 16:08
ReporteralexyAssigned Tovskirdin 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.71 
Summary0000120: FAR crashes if the HistoryCount for visited folders is set to a value lower the current number of saved folders.
DescriptionFrom english froum:

FAR manager 1.70 build 2087 crashes if the HistoryCount for visited
folders is set to a value lower the current number of saved folders.
(TechInfo52). A red error message dialog appears:

Internal error
Exception occurred:
"Attempt to read from the inaccessible address 0xFFFFFFFF"
Exception address: 0x3 in module:
C:\PROGRAMME\FAR\FAR.EXE
FAR Manager will be terminated!


The registry in look like this:

[HKEY_CURRENT_USER\Software\Far\SavedFolderHistory]
"Lines"=hex:45,3a,5c,42,43,34,...
"Types"="0000000000000000000000000000000000000000000000000000"
"Position"=dword:0000003b
"HistoryCount"=dword:00000020

It's not possible not start FAR, even with FAR /p. If the entries
"Lines", "Types", "Position" are deleted FAR starts normally.

A warning should be added to TechInfo52 and/or FAR should
check and clear the history entries at startup.

Wolfgang
TagsNo tags attached.
Build

Activities

vskirdin

2006-04-04 13:11

administrator   bugnote:0000111

build 2089 (на подходе)

Issue History

Date Modified Username Field Change
2006-04-03 19:26 alexy New Issue
2006-04-03 19:37 alexy Description Updated
2006-04-04 10:56 vskirdin Project Far Manager 1.7x => @11@
2006-04-04 13:00 vskirdin Status new => assigned
2006-04-04 13:00 vskirdin Assigned To => vskirdin
2006-04-04 13:11 vskirdin Status assigned => resolved
2006-04-04 13:11 vskirdin Resolution open => fixed
2006-04-04 13:11 vskirdin Note Added: 0000111
2006-04-04 17:30 alexy Project @11@ => Far Manager 1.7x
2006-04-04 17:34 alexy Product Version release => 1.70 release
2006-04-04 17:34 alexy Fixed in Version => 1.71
2007-07-16 16:08 alexy Status resolved => closed